Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065214 - EventTypes is not cleaned up after signaling
Summary: EventTypes is not cleaned up after signaling
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5
Version: BRMS 5.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: ---
Assignee: Maciej Swiderski
QA Contact: Ivo Bek
URL:
Whiteboard:
Depends On: 1065213
Blocks: 1080634
TreeView+ depends on / blocked
 
Reported: 2014-02-14 06:21 UTC by Toshiya Kobayashi
Modified: 2018-12-06 15:53 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of: 1065213
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4246 Major Resolved EventTypes is not cleaned up after signaling 2016-04-26 05:33:19 UTC

Description Toshiya Kobayashi 2014-02-14 06:21:01 UTC
+++ This bug was initially created as a clone of Bug #1065213 +++

Description of problem:

Platform BZ for https://issues.jboss.org/browse/JBPM-4246


Steps to Reproduce:
1. See https://github.com/droolsjbpm/jbpm/pull/191

Actual results:

EventTypes are inserted when a process instance started and then exist until a process instance completes.

Expected results:

EventTypes are inserted when a process instance arrives at EventNode and then removed after leaving the EventNode.

Comment 1 Maciej Swiderski 2014-04-30 14:19:20 UTC
backported to 5.2.x branch

jbpm
5.2.x:
https://github.com/droolsjbpm/jbpm/commit/ccb31c60f93feae412df4e6509be60fd6e11b3fc

Comment 2 JBoss JIRA Server 2014-05-26 15:41:16 UTC
Maciej Swiderski <swiderski.maciej@gmail.com> updated the status of jira JBPM-4246 to Resolved

Comment 3 Ivo Bek 2014-06-26 15:19:55 UTC
Verified in BRMS-5.3.1-P06


Note You need to log in before you can comment on or make changes to this bug.